FS_LISTCELLS(1)

NAME
fs_listcells - Displays the database server machines known to the Cache Manager

SYNOPSIS
fs listcells [-numeric] [-help]

fs listc [-n] [-h]

DESCRIPTION
The fs listcells command formats and displays the list of the database server machines that the Cache Manager stores in kernel memory for its home cell and foreign cells.

At each reboot of the client machine, the Cache Manager copies the contents of /etc/openafs/CellServDB into kernel memory. To modify the list between reboots, use the fs newcell command.

OPTIONS

-numeric
    Displays each database server machine's IP address rather than hostname.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The output includes a line for each cell included in the Cache Manager's kernel memory list, in the following format:

   Cell <cell> on hosts <database server machines>

The Cache Manager stores IP addresses, but by default has them translated to hostnames before reporting them, by passing them to the cell's name service (such as the Domain Name Service or a local host table). The name service sometimes returns hostnames in uppercase letters, or an IP address if it cannot resolve a name.

Using the -numeric flag bypasses the translation to hostnames, which can result in significantly faster production of output. The output includes IP addresses only.

EXAMPLES
The following example shows output for several cells as illustrations of the different formats for machine names:

   % fs listcells
   Cell example.com on hosts fs1.example.com fs2.example.com fs3.example.com
   Cell example.org on hosts DB1.FS.EXAMPLE.ORG
      DB2.FS.EXAMPLE.ORG DB3.FS.EXAMPLE.ORG
   Cell example.net on hosts 138.255.0.2 sv3.example.net

PRIVILEGE REQUIRED
None

SEE ALSO
CellServDB(5), fs_newcell(1)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.